QuantLib: BilinearInterpolation Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
BilinearInterpolation Class Reference
Math tools » 1-D Interpolations and corresponding traits

bilinear interpolation between discrete points More...

`#include <ql/math/interpolations/bilinearinterpolation.hpp>`

Inheritance diagram for BilinearInterpolation:
[legend]

## Public Member Functions
template<class I1 , class I2 , class M >
| BilinearInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const I2 &yEnd, const M &zData)
Public Member Functions inherited from Interpolation2D
Real | operator() (Real x, Real y, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
std::vector< Real > | xValues () const
Size | locateX (Real x) const
Real | yMin () const
Real | yMax () const
std::vector< Real > | yValues () const
Size | locateY (Real y) const
const Matrix & | zData () const
bool | isInRange (Real x, Real y) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members
Public Types inherited from Interpolation2D
typedef Real | first_argument_type
typedef Real | second_argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation2D
void | checkRange (Real x, Real y, bool extrapolate) const
Protected Attributes inherited from Interpolation2D
ext::shared_ptr< Impl > | impl_

## Detailed Description

bilinear interpolation between discrete points

Warning:
  See the Interpolation class for information about the required lifetime of the underlying data.

## Constructor & Destructor Documentation

## ◆ BilinearInterpolation()

BilinearInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | const I2 & | yEnd,
|  | const M & | zData
| ) |  |

Precondition
  the \( x \) and \( y \) values must be sorted.